// Filename        : dff.v
// Description     : parameterizable D flip-flop
//
module dff (clk, d, y);
   parameter Width = 1;

   input     clk;
   input [Width-1:0] d;
   output [Width-1:0] y;

   reg 	  [Width-1:0] y;
   
   always @(posedge clk)
     begin
	y <= #`tFF d;
     end

endmodule // DFF
